Name:          TGAImagePlugin
Version:       0
Release:       %mkrel 10
Summary:       ImageIO TGA plugin
Group:         Development/Java
License:       MIT
Url:           https://sourceforge.net/projects/jpspj/
# svn co https://jpspj.svn.sourceforge.net/svnroot/jpspj/TGAImagePlugin
# tar czf TGAImagePlugin-20111030-src-svn.tar.gz TGAImagePlugin
Source0:       TGAImagePlugin-20111030-src-svn.tar.gz
Patch0:	       java-source-target.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel >= 0:1.6.0

BuildRequires: ant

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java >= 0:1.6.0
BuildArch:     noarch

%description
ImageIO plugin to read/write tga files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n TGAImagePlugin
%patch0 -p1

for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

for s in $(find . -name "*.svn"); do
	rm -rf $s
done

%build

ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/%{name}.jar \
	%{buildroot}%{_javadir}/tgaimageplugin.jar

(
	cd %{buildroot}%{_javadir}
	ln -sf tgaimageplugin.jar %{buildroot}%{_javadir}/%{name}.jar
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/tgaimageplugin.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat Dec 05 2020 luigiwalser <luigiwalser> 0-10.mga8
+ Revision: 1653084
- set java source and target version to 1.8 to fix build
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0-9.mga8
+ Revision: 1501187
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0-8.mga7
+ Revision: 1276681
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0-7.mga6
+ Revision: 944770
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-6.mga5
+ Revision: 749073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-5.mga5
+ Revision: 677661
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-4.mga4
+ Revision: 502417
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0-3.mga3
+ Revision: 345131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 0-2.mga3
+ Revision: 326624
- Build with Java7

* Tue Nov 01 2011 gil <gil> 0-1.mga2
+ Revision: 160718
- imported package TGAImagePlugin

